package com.biganto.visual.roompark.data.service.lifecycle

/**
 * Created by Vladislav Bogdashkin on 14.04.2020.
 */

import androidx.lifecycle.Lifecycle
import androidx.lifecycle.LifecycleObserver
import androidx.lifecycle.OnLifecycleEvent
import timber.log.Timber
import javax.inject.Singleton

@Singleton
class AppLifecycleListener : LifecycleObserver {

    private var isForeground=false

    val IsAppForeground : Boolean
        get() = isForeground


    @OnLifecycleEvent(Lifecycle.Event.ON_START)
    fun onMoveToForeground() {
        Timber.d("Returning to foreground…")
        isForeground=true
    }

    @OnLifecycleEvent(Lifecycle.Event.ON_STOP)
    fun onMoveToBackground() {
        Timber.d("Moving to background…")
        isForeground=false
    }
}
